.gallery {
    max-width: 900px;
    margin: 10px auto;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap: 15px;
    padding: 15px;
}

.gallery img {
    width: 100%;
    height: 200px;
    object-fit: cover;
    cursor: pointer;
    transition: 0.3s;
    background: white;
    padding: 5px;
    box-sizing: border-box;
/*    box-shadow: 0 4px 12px rgba(0,0,0,0.5);*/
}

.gallery img:hover {
    transform: scale(1.05);
}


/* lightbox */

.lightbox {
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,0.75);
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    pointer-events: none;
    transition: 0.3s;
}

.lightbox:target {
    opacity: 1;
    pointer-events: auto;
}

.lightbox img {
    max-width: 90%;
    max-height: 90%;
    box-shadow: 0 0 40px black;
    cursor: zoom-out;
    background: white;
    padding: 10px;
}
